Where is luci-app-sqm

I just wanted to re-install luci-app-sqm, but got the following output:

> opkg update
Downloading http://downloads.openwrt.org/releases/19.07.1/targets/sunxi/cortexa7/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.openwrt.org/releases/19.07.1/targets/sunxi/cortexa7/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/base/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/luci/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/routing/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.openwrt.org/releases/19.07.1/packages/arm_cortex-a7_neon-vfpv4/telephony/Packages.sig
Signature check passed.
> opkg list | grep ^luci-app-sq
luci-app-sqm - 1.4.0-2 - Luci interface for the SQM scripts queue management configuration package.
luci-app-squid - git-20.221.53167-304ad04-1 - Squid LuCI Interface
> opkg install luci-app-sqm
Installing luci-app-sqm (1.4.0-4) to root...
Collected errors:
 * opkg_download_pkg: Package luci-app-sqm is not available from any configured src.
 * opkg_install_pkg: Failed to download luci-app-sqm. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package luci-app-sqm.

Did luci-app-sqm get lost?

There is something strange in you package data.
First grep gives 1.4.0-2 which is right
But the download tries 1.4.0-4, which is wrong.

https://downloads.openwrt.org/releases/packages-19.07/arm_cortex-a7_neon-vfpv4/packages/

luci-app-sqm_1.4.0-2_all.ipk 4.8 KB Sat Aug 8 22:29:08 2020

In general, you should be using 19.07.3 instead of 19.07.1

I've failed to notice this difference. Thanks for your hint, will investigate this more deeply.